#
# Conditional build:
%bcond_with	doc	# Sphinx documentation, TODO: fix this

%define		module	networkx
Summary:	High-productivity software for complex networks
Summary(pl.UTF-8):	Efektywne operacje na skompliwkoanych grafach.
Name:		python-%{module}
Version:	2.5
Release:	1
License:	BSD
Group:		Libraries/Python
Source0:	https://pypi.python.org/packages/source/n/networkx/%{module}-%{version}.tar.gz
# Source0-md5:	21f25be1f4373e19153a9beca63346e7
URL:		http://networkx.github.io/index.html
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.710
BuildRequires:	python3-modules
BuildRequires:	python3-setuptools
%{?with_doc:BuildRequires:	python3-matplotlib}
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Python language software package for the creation, manipulation, and
study of the structure, dynamics, and functions of complex networks.

%description -l pl.UTF-8
Pakiet oprogramowania do tworzenia, manipulacji i badania struktury
dynamiki i funkcji zlozonych sieci.

%package -n python3-%{module}
Summary:	High-productivity software for complex networks
Summary(pl.UTF-8):	Efektywne operacje na skompliwkoanych grafach.
Group:		Libraries/Python
Requires:	python3-modules

%description -n python3-%{module}
Python language software package for the creation, manipulation, and
study of the structure, dynamics, and functions of complex networks.

%description -n python3-%{module} -l pl.UTF-8
Pakiet oprogramowania do tworzenia, manipulacji i badania struktury
dynamiki i funkcji zlozonych sieci.

%package apidocs
Summary:	API documentation for Python %{module} module
Summary(pl.UTF-8):	Dokumentacja API modułu Pythona %{module}
Group:		Documentation

%description apidocs
API documentation for Python %{module} module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Pythona %{module}.

%prep
%setup -q -n %{module}-%{version}

%build
%py3_build

%if %{with doc}
cd doc
%{__make} -j1 html
rm -rf _build/html/_sources
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

install -d $RPM_BUILD_ROOT%{_examplesdir}/python3-%{module}-%{version}
cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/python3-%{module}-%{version}
find $RPM_BUILD_ROOT%{_examplesdir}/python3-%{module}-%{version} -name '*.py' \
	| xargs sed -i '1s|^#!.*python\b|#!%{__python3}|'

%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/%{module}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files -n python3-%{module}
%defattr(644,root,root,755)
%doc README.rst
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/%{module}-*.egg-info
%{_examplesdir}/python3-%{module}-%{version}

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/_build/html/*
%endif
%changelog
* Tue Mar 09 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-networkx.git;a=log;h=master

* Tue Mar 09 2021 Jan Rękorajski <baggins@pld-linux.org> a571ded
- up to 2.5
- drop python2 support, not supported and no users

* Mon Mar 08 2021 Jan Rękorajski <baggins@pld-linux.org> 13fb60a
- release 7 (by relup.sh)

* Tue Mar 02 2021 Jan Rękorajski <baggins@pld-linux.org> b8e13ba
- release 6 (by relup.sh)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 944a5ce
- rebuild with python 3.8
- release 5 (by relup.sh)

* Sun Sep 22 2019 Jan Rękorajski <baggins@pld-linux.org> 88dcc2e
- rel 4

* Sun Sep 22 2019 Jan Rękorajski <baggins@pld-linux.org> c295a98
- added python3 package

* Sun Sep 22 2019 Jan Rękorajski <baggins@pld-linux.org> 2f746b1
- release 3 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 39c3ebb
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 6a6a728
- release 2 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 66850fb
- automatic change: use py_build/py_install macros

* Thu Aug 22 2013 Mateusz Korniak <matkor@pld-linux.org> eb4a057
- Version 1.8.1-1.

* Thu Aug 22 2013 Mateusz Korniak <matkor@pld-linux.org> 0ca5a8a
- Added TODO.

* Thu Aug 22 2013 Mateusz Korniak <matkor@pld-linux.org> f6481e7
- Release 1. Works for me.

* Tue Apr 16 2013 Elan Ruusamäe <glen@delfi.ee> 23a38f7
- remove pypi hash url

* Tue Apr 16 2013 Elan Ruusamäe <glen@delfi.ee> 7a88729
- those comments are for initial .spec creation

* Tue Apr 16 2013 Mateusz Korniak <matkor@pld-linux.org> 2508e46
- Initial version 1.7

